{% extends 'qrmedia/base.html' %}
{% load static %}
{% load i18n %}

{% block head %}
  <link rel="stylesheet" href="{% static 'qrmedia/css/autocomplete.css' %}">
{% endblock head %}

{% block content %}
  <div id="qr-generator" class="bg-light">
    <h1>{% trans "Projects statistics" %}</h1>
    <div class="row">
      <div class="col-md-10">
        <!-- Project list -->
        <!-- TODO: Handle empty list of projects -->
        {% for project in projects %}
            <div class="project-card">
                <a href="/stats/{{ project.name }}">
                    {{ project.name }}
                </a>
            </div>
        {% endfor %}
      </div>
    </div>
  </div>
{% endblock content %}

{% block footerjs %}
  <script type="text/javascript" src="{% static 'qrmedia/lib/vue.js' %}"></script>
  <script type="text/javascript" src="{% static 'qrmedia/js/stats.js' %}"></script>
{% endblock footerjs %}